Package org.eclipse.e4.ui.css.core.impl.dom

# Class CSSMediaRuleImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.dom.AbstractCSSNode
org.eclipse.e4.ui.css.core.impl.dom.CSSRuleImpl
org.eclipse.e4.ui.css.core.impl.dom.CSSMediaRuleImpl

All Implemented Interfaces:
  `CSSMediaRule`, `CSSRule`

public class CSSMediaRuleImpl extends CSSRuleImpl implements CSSMediaRule

## Field Summary

### Fields inherited from interface org.w3c.dom.css.CSSRule

`CHARSET_RULE, FONT_FACE_RULE, IMPORT_RULE, MEDIA_RULE, PAGE_RULE, STYLE_RULE, UNKNOWN_RULE`

## Constructor Summary

Constructors
Constructor
Description
`CSSMediaRuleImpl(CSSStyleSheet parentStyleSheet, CSSRule parentRule, MediaListImpl mediaListImpl)`

## Method Summary

Modifier and Type
Method
Description
`void`
`deleteRule(int index)`
`CSSRuleList`
`getCssRules()`
`MediaList`
`getMedia()`
`short`
`getType()`
`int`
`insertRule(String rule, int index)`
`void`
`setRuleList(CSSRuleList rules)`

### Methods inherited from class org.eclipse.e4.ui.css.core.impl.dom.CSSRuleImpl

`getCssText, getParentRule, getParentStyleSheet, setCssText`

### Methods inherited from class org.eclipse.e4.ui.css.core.impl.dom.AbstractCSSNode

`getCSSParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.css.CSSRule

`getCssText, getParentRule, getParentStyleSheet, setCssText`

## Constructor Details

### CSSMediaRuleImpl

public CSSMediaRuleImpl(CSSStyleSheet parentStyleSheet, CSSRule parentRule, MediaListImpl mediaListImpl)

## Method Details

### getType

public short getType()

Specified by:
  `getType` in interface `CSSRule`
Specified by:
  `getType` in class `CSSRuleImpl`

### deleteRule

public void deleteRule(int index) throws DOMException

Specified by:
  `deleteRule` in interface `CSSMediaRule`
Throws:
  `DOMException`

### getCssRules

public CSSRuleList getCssRules()

Specified by:
  `getCssRules` in interface `CSSMediaRule`

### getMedia

public MediaList getMedia()

Specified by:
  `getMedia` in interface `CSSMediaRule`

### insertRule

public int insertRule(String rule, int index) throws DOMException

Specified by:
  `insertRule` in interface `CSSMediaRule`
Throws:
  `DOMException`

### setRuleList

public void setRuleList(CSSRuleList rules)